Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.permission
Interface PermissionStore

All Known Implementing Classes:
  JpaPermissionStore

    public interface PermissionStore

Permission store interface.

Author:
  Shane Bryzak

Method Summary
`void` | `clearPermissions(Object target)`
`boolean` | `grantPermission(Permission permission)`
`boolean` | `grantPermissions(List<Permission> permissions)`
`List<String>` | `listAvailableActions(Object target)`
`List<Permission>` | `listPermissions(Object target)`
`List<Permission>` | `listPermissions(Object target, String action)`
`List<Permission>` | `listPermissions(Set<Object> targets, String action)`
`boolean` | `revokePermission(Permission permission)`
`boolean` | `revokePermissions(List<Permission> permissions)`

Method Detail

### listPermissions

    List<Permission> listPermissions(Object target)

### listPermissions

    List<Permission> listPermissions(Object target,
                                     String action)

### listPermissions

    List<Permission> listPermissions(Set<Object> targets,
                                     String action)

### grantPermission

    boolean grantPermission(Permission permission)

### grantPermissions

    boolean grantPermissions(List<Permission> permissions)

### revokePermission

    boolean revokePermission(Permission permission)

### revokePermissions

    boolean revokePermissions(List<Permission> permissions)

### listAvailableActions

    List<String> listAvailableActions(Object target)

### clearPermissions

    void clearPermissions(Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.